Summary: Utah Raster Toolkit
Name: urt
Version: 3.1b
Release: alt1
License: GPL-like/"reserved" (see documentation for details)
Group: Graphics
Source0: ftp://ftp.cs.utah.edu/pub/dept/OLD/pub/%name-%version.tar
Patch0: %name-config.patch
Patch1: %name-fixes.patch
Patch2: %name-DESTDIR.patch
Patch3: %name-shared.patch

# Automatically added by buildreq on Thu Feb 01 2007
BuildRequires: libnetpbm-devel libtiff-devel libXext-devel

%description
The Utah Raster toolkit is a collection of programs and C routines for
dealing with raster images commonly encountered in computer graphics.
It provides the following major functions:
 - A device and system independent image format for storing images and
   information about them. Called the RLE format, it uses run length
   encoding to reduce storage space for most images.
 - A library of C routines for reading, writing and manipulating images
   stored in the RLE format.
 - A collections of programs for manipulating and displaying RLE
   images.

%package devel
Summary: Development files for Utah Raster Toolkit
Group: Development/C
Requires: %name = %version

%description devel
Utah Raster Toolkit header files.


%package devel-static
Summary: Utah Raster Toolkit static library
Requires: %name-devel = %version
Group: Development/C

%description devel-static
Utah Raster Toolkit static library.


%prep
%setup -q -c
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%__subst "s,/usr/lib$,%_libdir," config/urt
./Configure
%make LIBPBMPLUS=-lnetpbm

%install
install -d $RPM_BUILD_ROOT{%_bindir,%_libdir,%_includedir/rle} \
	$RPM_BUILD_ROOT%_mandir/man{1,3,5}

%__make install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf 3.1-changes CHANGES README blurb copyright

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc *.gz
%_bindir/*
%_libdir/lib*.so.*
%_mandir/man1/*

%files devel
%_includedir/rle
%_libdir/lib*.so
%_mandir/man[35]/*

%files devel-static
%_libdir/librle.a


%changelog
* Thu Feb 01 2007 Anton Farygin <rider@altlinux.ru> 3.1b-alt1
- build for Sisyphus, based on specfile from PLD
